#pragma once
#include "GLFW/glfw3.h"

namespace BarinkEngine {
	namespace Input {

		void BE_GLFW_KEYS(GLFWwindow* window, int key, int scancode, int action, int mods);
		void BE_GLFW_CURSOR_POSITION(GLFWwindow* window, double x, double y);
		void BE_GLFW_CURSOR_ENTER(GLFWwindow* window, int entered);
		void BE_GLFW_MOUSE_BUTTON(GLFWwindow* window, int button, int action, int mods);
		void BE_GLFW_SCROLL(GLFWwindow* window, double xoffset, double yoffset);

	}
}
